DOM Level 3 API: Interface ASNamedObjectMap

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.dom3.as
Interface ASNamedObjectMap

Deprecated. Objects implementing the `ASNamedObjectMap` interface are used to represent collections of abstract schema nodes that can be accessed by name. Note that `ASNamedObjectMap` does not inherit from `ASObjectList`; `ASNamedObjectMaps` are not maintained in any particular order. Objects contained in an object implementing `ASNamedObjectMap` may also be accessed by an ordinal index, but this is simply to allow convenient enumeration of the contents of a `ASNamedObjectMap`, and does not imply that the DOM specifies an order to these `ASObjects`.

`ASNamedObjectMap` object in the DOM are live.

See also the Document Object Model (DOM) Level 3 Abstract Schemas and Load and Save Specification.

public interface ASNamedObjectMap

Method Summary
`int` | `getLength()` Deprecated. The number of `ASObjects` in the `ASObjectList`.
`ASObject` | `getNamedItem(java.lang.String name)` Deprecated. Retrieves an `ASObject` specified by name.
`ASObject` | `getNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated. Retrieves an `ASObject` specified by local name and namespace URI.
`ASObject` | `item(int index)` Deprecated. Returns the `index`th item in the map.
`ASObject` | `removeNamedItem(java.lang.String name)` Deprecated. Removes an `ASObject` specified by a `nodeName`.
`ASObject` | `removeNamedItemNS(java.lang.String namespaceURI, java.lang.String localName)` Deprecated. Removes an `ASObject` specified by a namespace URI and a local name.
`ASObject` | `setNamedItem(ASObject newASObject)` Deprecated. Adds an `ASObject` using its `nodeName` attribute.
`ASObject` | `setNamedItemNS(ASObject newASObject)` Deprecated. Adds an `ASObject` using its `namespaceURI` and `localName`.

Method Detail

### getLength

    public int getLength()

  Deprecated.
  The number of `ASObjects` in the `ASObjectList`. The range of valid child node indices is 0 to `length-1` inclusive.

### getNamedItem

    public ASObject getNamedItem(java.lang.String name)

  Deprecated.
  Retrieves an `ASObject` specified by name.
  Parameters:
    `name` - The `nodeName` of an `ASObject` to retrieve.
  Returns:
    An `ASObject` with specified node name and `null` if the map does not contain an element with the given name.

### getNamedItemNS

    public ASObject getNamedItemNS(java.lang.String namespaceURI,
                                   java.lang.String localName)

  Deprecated.
  Retrieves an `ASObject` specified by local name and namespace URI.
  Parameters:
    `namespaceURI` - The namespace URI of the `ASObject` to retrieve.
    `localName` - The local name of the `ASObject` to retrieve.
  Returns:
    A `ASObject` (of any type) with the specified local name and namespace URI, or `null` if they do not identify any `ASObject` in this map.

### item

    public ASObject item(int index)

  Deprecated.
  Returns the `index`th item in the map. The index starts at `0`. If `index` is greater than or equal to the number of nodes in the list, this returns `null`.
  Parameters:
    `index` - The position in the map from which the item is to be retrieved.
  Returns:
    The `ASObject` at the `index`th position in the `ASNamedObjectMap`, or `null` if that is not a valid index.

### removeNamedItem

    public ASObject removeNamedItem(java.lang.String name)
                             throws org.w3c.dom.DOMException

  Deprecated.
  Removes an `ASObject` specified by a `nodeName`.
  Parameters:
    `name` - The `nodeName` of the `ASObject` to be removed.
  Returns:
    The `ASObject` removed from this map if an `ASObject` with such a name exists.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised if there is no node named `name` in this map.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly.

### removeNamedItemNS

    public ASObject removeNamedItemNS(java.lang.String namespaceURI,
                                      java.lang.String localName)
                               throws org.w3c.dom.DOMException

  Deprecated.
  Removes an `ASObject` specified by a namespace URI and a local name.
  Parameters:
    `namespaceURI` - The namespace URI of the `ASObject` to be removed.
    `localName` - The local name of the `ASObject` to remove.
  Returns:
    The `ASObject` removed from this map if an `ASObject` with such a local name and namespace URI exists.
  Throws:
    `org.w3c.dom.DOMException` - NOT_FOUND_ERR: Raised if there is no node with the specified `namespaceURI` and `localName` in this map.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly.

### setNamedItem

    public ASObject setNamedItem(ASObject newASObject)
                          throws org.w3c.dom.DOMException

  Deprecated.
  Adds an `ASObject` using its `nodeName` attribute. If an `ASObject` with that name is already present in this map, it is replaced by the new one.
  Parameters:
    `newASObject` - The `ASObject` to be inserted in the map with its `nodeName` as the key.
  Returns:
    If the new node replaces an existing one, the replaced node is returned, otherwise `null`.
  Throws:
    `org.w3c.dom.DOMException` - WRONG_DOCUMENT_ERR: Raised if `arg` was created from a different `ASModel` than the one that created this map.
    NO_MODIFICATION_ALLOWED_ERR: Raised if this map is readonly.
    HIERARCHY_REQUEST_ERR: Raised if an attempt is made to add a node doesn't belong in this `ASNamedObjectMap`.

### setNamedItemNS

    public ASObject setNamedItemNS(ASObject newASObject)
                            throws org.w3c.dom.DOMException

  Deprecated.
  Adds an `ASObject` using its `namespaceURI` and `localName`. If an `ASObject` with the same `namespaceURI` and `localName` is already present in this map, it is replaced by the new one.
  Parameters:
    `newASObject` - The `ASObject` to be inserted in the map.The `ASObject` will later be accessible using the value of its `namespaceURI` and `localName` attributes.
  Returns:
    If the new node replaces an existing one, the replaced node is returned, otherwise `null`.
  Throws:
    `org.w3c.dom.DOMException` - `WRONG_DOCUMENT_ERR`: Raised if `arg` was created from a different `ASModel` than the one that created this map.
    `NO_MODIFICATION_ALLOWED_ERR`: Raised if this map is readonly.
    `HIERARCHY_REQUEST_ERR`: Raised if an attempt is made to add a node doesn't belong in this `ASNamedObjectMap`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.